# 🗃️ EQ2Emu WorldDB Schema Documentation

This document describes the MySQL schema for the **World Server** (`eq2emu`).

---

## 📚 Table of Contents

- [achievements](./database/world/achievements.md)
- [achievements_requirements](./database/world/achievements_requirements.md)
- [achievements_rewards](./database/world/achievements_rewards.md)
- [appearances](./database/world/appearances.md)
- [bot_appearance](./database/world/bot_appearance.md)
- [bot_equipment](./database/world/bot_equipment.md)
- [bots](./database/world/bots.md)
- [broker_item_map](./database/world/broker_item_map.md)
- [bugs](./database/world/bugs.md)
- [channels](./database/world/channels.md)
- [char_colors](./database/world/char_colors.md)
- [character_aa](./database/world/character_aa.md)
- [character_aa_defaults](./database/world/character_aa_defaults.md)
- [character_achievements](./database/world/character_achievements.md)
- [character_achievements_items](./database/world/character_achievements_items.md)
- [character_buyback](./database/world/character_buyback.md)
- [character_claim_items](./database/world/character_claim_items.md)
- [character_collection_items](./database/world/character_collection_items.md)
- [character_collections](./database/world/character_collections.md)
- [character_details](./database/world/character_details.md)
- [character_factions](./database/world/character_factions.md)
- [character_history](./database/world/character_history.md)
- [character_house_deposits](./database/world/character_house_deposits.md)
- [character_house_history](./database/world/character_house_history.md)
- [character_houses](./database/world/character_houses.md)
- [character_instances](./database/world/character_instances.md)
- [character_items](./database/world/character_items.md)
- [character_items_group_members](./database/world/character_items_group_members.md)
- [character_languages](./database/world/character_languages.md)
- [character_lua_history](./database/world/character_lua_history.md)
- [character_macros](./database/world/character_macros.md)
- [character_mail](./database/world/character_mail.md)
- [character_pictures](./database/world/character_pictures.md)
- [character_properties](./database/world/character_properties.md)
- [character_quest_progress](./database/world/character_quest_progress.md)
- [character_quest_rewards](./database/world/character_quest_rewards.md)
- [character_quest_temporary_rewards](./database/world/character_quest_temporary_rewards.md)
- [character_quests](./database/world/character_quests.md)
- [character_recipe_books](./database/world/character_recipe_books.md)
- [character_recipes](./database/world/character_recipes.md)
- [character_skillbar](./database/world/character_skillbar.md)
- [character_skills](./database/world/character_skills.md)
- [character_social](./database/world/character_social.md)
- [character_spell_effect_targets](./database/world/character_spell_effect_targets.md)
- [character_spell_effects](./database/world/character_spell_effects.md)
- [character_spells](./database/world/character_spells.md)
- [character_spirit_shards](./database/world/character_spirit_shards.md)
- [character_titles](./database/world/character_titles.md)
- [characters](./database/world/characters.md)
- [charactersproperties](./database/world/charactersproperties.md)
- [chest_traps](./database/world/chest_traps.md)
- [claim_items](./database/world/claim_items.md)
- [collection_details](./database/world/collection_details.md)
- [collection_rewards](./database/world/collection_rewards.md)
- [collections](./database/world/collections.md)
- [commands](./database/world/commands.md)
- [dbeditor_log](./database/world/dbeditor_log.md)
- [dialog_flavors](./database/world/dialog_flavors.md)
- [dialog_npcs](./database/world/dialog_npcs.md)
- [dialog_play_flavors](./database/world/dialog_play_flavors.md)
- [dialog_play_voices](./database/world/dialog_play_voices.md)
- [dialog_responses](./database/world/dialog_responses.md)
- [dialog_text](./database/world/dialog_text.md)
- [dialog_voiceovers](./database/world/dialog_voiceovers.md)
- [dialogs](./database/world/dialogs.md)
- [emotes](./database/world/emotes.md)
- [entity_commands](./database/world/entity_commands.md)
- [eq2classes](./database/world/eq2classes.md)
- [eq2expansions](./database/world/eq2expansions.md)
- [eq2gm](./database/world/eq2gm.md)
- [eq2models](./database/world/eq2models.md)
- [eq2races](./database/world/eq2races.md)
- [exp_per_level](./database/world/exp_per_level.md)
- [faction_alliances](./database/world/faction_alliances.md)
- [factions](./database/world/factions.md)
- [failed_jobs](./database/world/failed_jobs.md)
- [flight_paths](./database/world/flight_paths.md)
- [flight_paths_locations](./database/world/flight_paths_locations.md)
- [groundspawn_items](./database/world/groundspawn_items.md)
- [groundspawns](./database/world/groundspawns.md)
- [guild_colors](./database/world/guild_colors.md)
- [guild_event_defaults](./database/world/guild_event_defaults.md)
- [guild_event_filters](./database/world/guild_event_filters.md)
- [guild_events](./database/world/guild_events.md)
- [guild_members](./database/world/guild_members.md)
- [guild_points_history](./database/world/guild_points_history.md)
- [guild_ranks](./database/world/guild_ranks.md)
- [guild_ranks_defaults](./database/world/guild_ranks_defaults.md)
- [guild_recruiting](./database/world/guild_recruiting.md)
- [guilds](./database/world/guilds.md)
- [heroic_ops](./database/world/heroic_ops.md)
- [ho_starter_chains](./database/world/ho_starter_chains.md)
- [ho_wheel](./database/world/ho_wheel.md)
- [houses](./database/world/houses.md)
- [instance_spawns_removed](./database/world/instance_spawns_removed.md)
- [instances](./database/world/instances.md)
- [item_appearances](./database/world/item_appearances.md)
- [item_classifications](./database/world/item_classifications.md)
- [item_details_achievement_profile](./database/world/item_details_achievement_profile.md)
- [item_details_adornments](./database/world/item_details_adornments.md)
- [item_details_armor](./database/world/item_details_armor.md)
- [item_details_armorset](./database/world/item_details_armorset.md)
- [item_details_bag](./database/world/item_details_bag.md)
- [item_details_bauble](./database/world/item_details_bauble.md)
- [item_details_book](./database/world/item_details_book.md)
- [item_details_book_pages](./database/world/item_details_book_pages.md)
- [item_details_decorations](./database/world/item_details_decorations.md)
- [item_details_food](./database/world/item_details_food.md)
- [item_details_house](./database/world/item_details_house.md)
- [item_details_house_container](./database/world/item_details_house_container.md)
- [item_details_itemset](./database/world/item_details_itemset.md)
- [item_details_marketplace](./database/world/item_details_marketplace.md)
- [item_details_pattern](./database/world/item_details_pattern.md)
- [item_details_range](./database/world/item_details_range.md)
- [item_details_recipe](./database/world/item_details_recipe.md)
- [item_details_recipe_items](./database/world/item_details_recipe_items.md)
- [item_details_reward_crate](./database/world/item_details_reward_crate.md)
- [item_details_reward_crate_item](./database/world/item_details_reward_crate_item.md)
- [item_details_reward_voucher](./database/world/item_details_reward_voucher.md)
- [item_details_shield](./database/world/item_details_shield.md)
- [item_details_skill](./database/world/item_details_skill.md)
- [item_details_skills](./database/world/item_details_skills.md)
- [item_details_thrown](./database/world/item_details_thrown.md)
- [item_details_weapon](./database/world/item_details_weapon.md)
- [item_effects](./database/world/item_effects.md)
- [item_itemset_bonus](./database/world/item_itemset_bonus.md)
- [item_itemset_bonus_effects](./database/world/item_itemset_bonus_effects.md)
- [item_itemset_bonus_stats](./database/world/item_itemset_bonus_stats.md)
- [item_itemset_items](./database/world/item_itemset_items.md)
- [item_itemsets](./database/world/item_itemsets.md)
- [item_levels_override](./database/world/item_levels_override.md)
- [item_mod_stats](./database/world/item_mod_stats.md)
- [item_mod_strings](./database/world/item_mod_strings.md)
- [item_pvp_link](./database/world/item_pvp_link.md)
- [item_stat_subtypes](./database/world/item_stat_subtypes.md)
- [item_stat_types](./database/world/item_stat_types.md)
- [item_stats](./database/world/item_stats.md)
- [items](./database/world/items.md)
- [itemstats](./database/world/itemstats.md)
- [languages](./database/world/languages.md)
- [location_details](./database/world/location_details.md)
- [locations](./database/world/locations.md)
- [log_messages](./database/world/log_messages.md)
- [loot_global](./database/world/loot_global.md)
- [lootdrop](./database/world/lootdrop.md)
- [loottable](./database/world/loottable.md)
- [map_data](./database/world/map_data.md)
- [merchant_inventory](./database/world/merchant_inventory.md)
- [merchant_multipliers](./database/world/merchant_multipliers.md)
- [merchants](./database/world/merchants.md)
- [name_filter](./database/world/name_filter.md)
- [npc_appearance](./database/world/npc_appearance.md)
- [npc_appearance_equip](./database/world/npc_appearance_equip.md)
- [opcodes](./database/world/opcodes.md)
- [password_resets](./database/world/password_resets.md)
- [persisted_respawns](./database/world/persisted_respawns.md)
- [quest_details](./database/world/quest_details.md)
- [quest_reward_reqs](./database/world/quest_reward_reqs.md)
- [quests](./database/world/quests.md)
- [race_types](./database/world/race_types.md)
- [raw_sell_prices](./database/world/raw_sell_prices.md)
- [recipe](./database/world/recipe.md)
- [recipe_comp_list](./database/world/recipe_comp_list.md)
- [recipe_comp_list_item](./database/world/recipe_comp_list_item.md)
- [recipe_components](./database/world/recipe_components.md)
- [recipe_products](./database/world/recipe_products.md)
- [recipe_secondary_comp](./database/world/recipe_secondary_comp.md)
- [recipes](./database/world/recipes.md)
- [reference_spell_effects](./database/world/reference_spell_effects.md)
- [revive_points](./database/world/revive_points.md)
- [ruleset_details](./database/world/ruleset_details.md)
- [rulesets](./database/world/rulesets.md)
- [skills](./database/world/skills.md)
- [spawn](./database/world/spawn.md)
- [spawn_ground](./database/world/spawn_ground.md)
- [spawn_instance_data](./database/world/spawn_instance_data.md)
- [spawn_location_entry](./database/world/spawn_location_entry.md)
- [spawn_location_group](./database/world/spawn_location_group.md)
- [spawn_location_group_associations](./database/world/spawn_location_group_associations.md)
- [spawn_location_group_chances](./database/world/spawn_location_group_chances.md)
- [spawn_location_name](./database/world/spawn_location_name.md)
- [spawn_location_placement](./database/world/spawn_location_placement.md)
- [spawn_loot](./database/world/spawn_loot.md)
- [spawn_npc_equipment](./database/world/spawn_npc_equipment.md)
- [spawn_npc_skills](./database/world/spawn_npc_skills.md)
- [spawn_npc_spell_lists](./database/world/spawn_npc_spell_lists.md)
- [spawn_npc_spells](./database/world/spawn_npc_spells.md)
- [spawn_npcs](./database/world/spawn_npcs.md)
- [spawn_objects](./database/world/spawn_objects.md)
- [spawn_pet_names](./database/world/spawn_pet_names.md)
- [spawn_scripts](./database/world/spawn_scripts.md)
- [spawn_signs](./database/world/spawn_signs.md)
- [spawn_templates](./database/world/spawn_templates.md)
- [spawn_widgets](./database/world/spawn_widgets.md)
- [spell_aa_class_list](./database/world/spell_aa_class_list.md)
- [spell_aa_list](./database/world/spell_aa_list.md)
- [spell_aa_nodelist](./database/world/spell_aa_nodelist.md)
- [spell_aa_tablist](./database/world/spell_aa_tablist.md)
- [spell_classes](./database/world/spell_classes.md)
- [spell_data](./database/world/spell_data.md)
- [spell_display_effects](./database/world/spell_display_effects.md)
- [spell_error_versions](./database/world/spell_error_versions.md)
- [spell_tiers](./database/world/spell_tiers.md)
- [spell_traits](./database/world/spell_traits.md)
- [spell_ts_ability_index](./database/world/spell_ts_ability_index.md)
- [spell_visuals](./database/world/spell_visuals.md)
- [spells](./database/world/spells.md)
- [starting_details](./database/world/starting_details.md)
- [starting_factions](./database/world/starting_factions.md)
- [starting_items](./database/world/starting_items.md)
- [starting_languages](./database/world/starting_languages.md)
- [starting_skillbar](./database/world/starting_skillbar.md)
- [starting_skills](./database/world/starting_skills.md)
- [starting_spells](./database/world/starting_spells.md)
- [starting_titles](./database/world/starting_titles.md)
- [starting_zones](./database/world/starting_zones.md)
- [statistics](./database/world/statistics.md)
- [table_versions](./database/world/table_versions.md)
- [titles](./database/world/titles.md)
- [tradeskillevents](./database/world/tradeskillevents.md)
- [transmuting](./database/world/transmuting.md)
- [transport_maps](./database/world/transport_maps.md)
- [transporters](./database/world/transporters.md)
- [variables](./database/world/variables.md)
- [versioned_spell_errors](./database/world/versioned_spell_errors.md)
- [visual_states](./database/world/visual_states.md)
- [voiceovers](./database/world/voiceovers.md)
- [web_routes](./database/world/web_routes.md)
- [web_users](./database/world/web_users.md)
- [zones](./database/world/zones.md)

---

## ✨ Introduction

The world database manages all in-game content data, including NPCs, spawns, items, spells, and quests.

---

## 📌 Notes

- Schema extracted from `eq2emu_worlddb_schema.sql`.
- Full table documentation will be added here.
